aboutsummaryrefslogtreecommitdiff
path: root/patches/curl
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-07-31 20:45:44 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-07-31 20:45:44 +0000
commit3ae891bbbaa3f96365f4c9fbe49e5cee26183fbc (patch)
tree59f0163f13e99eefb959385243c564c5662bc5c2 /patches/curl
downloadslackbuilds-3ae891bbbaa3f96365f4c9fbe49e5cee26183fbc.tar.gz
slackbuilds-3ae891bbbaa3f96365f4c9fbe49e5cee26183fbc.tar.bz2
initial import
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'patches/curl')
-rwxr-xr-xpatches/curl/curl.SlackBuild113
-rw-r--r--patches/curl/libcurl-ntlmbuf.patch.gzbin0 -> 428 bytes
-rw-r--r--patches/curl/slack-desc19
3 files changed, 132 insertions, 0 deletions
diff --git a/patches/curl/curl.SlackBuild b/patches/curl/curl.SlackBuild
new file mode 100755
index 00000000..6da1c96d
--- /dev/null
+++ b/patches/curl/curl.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+#
+# got it from ftp://ftp.slackware.com/pub/slackware/slackware-10.2/patches/source/curl/curl.SlackBuild
+# small changes by rhatto
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+PACKAGE="curl"
+VERSION=7.12.2
+ARCH=${ARCH:=x86_64}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+
+PKG=$TMP/package-curl
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://curl.haxx.se/download/$SRC"
+KEY="http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x279D5C91"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ rm -f $SRC_DIR/$SRC.asc
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$URL.asc" -O "$SRC_DIR/$SRC.asc"
+fi
+
+lynx -dump "$KEY" | gpg --import
+gpg --verify $SRC_DIR/$SRC.asc || echo "WARNING: gpg check failed"
+
+# Uncomment to build a no-SSL version:
+#SSLOPT=--without-ssl
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf curl-$VERSION
+tar xvf$tarflag $SRC_DIR/$SRC
+cd curl-$VERSION
+
+zcat $CWD/libcurl-ntlmbuf.patch.gz | patch -p0 --verbose || exit
+
+chown -R root.root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=$LIBDIR \
+ $SSLOPT
+make -j3
+make install DESTDIR=$PKG
+chown -R root.bin $PKG/usr/bin
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ "$ARCH" == "x86_64" ]; then
+ strip -g $PKG/usr/lib64/libcurl.a
+else
+ strip -g $PKG/usr/lib/libcurl.a
+fi
+
+mkdir -p $PKG/usr/doc/curl-$VERSION
+cp -a \
+ CHANGES COPYING README UPGRADE \
+ $PKG/usr/doc/curl-$VERSION
+( cd docs
+ rm -rf Makefile* curl-config.1 curl-config.html curl.1 curl.html libcurl
+ cp -a \
+ BUGS CONTRIBUTE FAQ FEATURES INSTALL INTERNALS MANUAL README.win32 RESOURCES THANKS TODO examples \
+ $PKG/usr/doc/curl-$VERSION )
+gzip -9 $PKG/usr/man/man?/*.?
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n ../curl-$VERSION-$ARCH-$BUILD.tgz
+
diff --git a/patches/curl/libcurl-ntlmbuf.patch.gz b/patches/curl/libcurl-ntlmbuf.patch.gz
new file mode 100644
index 00000000..ef678dd7
--- /dev/null
+++ b/patches/curl/libcurl-ntlmbuf.patch.gz
Binary files differ
diff --git a/patches/curl/slack-desc b/patches/curl/slack-desc
new file mode 100644
index 00000000..d09b2555
--- /dev/null
+++ b/patches/curl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+curl: curl
+curl:
+curl: Curl is a command line tool for transferring data specified with URL
+curl: syntax. The command is designed to work without user interaction or
+curl: any kind of interactivity. Curl offers a busload of useful tricks
+curl: like proxy support, user authentication, ftp upload, HTTP post, SSL
+curl: (https:) connections, cookies, file transfer resume and more.
+curl:
+curl: libcurl is a library that Curl uses to do its job. It is readily
+curl: available to be used by your software, too.
+curl: